/* Base styles for scroller and scroller__inner */

i {
    color: white;
}

.star {
    display: flex;
    justify-content: center;
    align-items: center;
}
.scroller {
    display: flex;
    background-color: #4384b6;
    max-width: 100vw;
}

.scroller__inner {
    padding-block: 1rem;
    display: flex;
    flex-wrap: wrap;
    gap: 2rem;
}

/* Add a media query for screens with a maximum width of 768px */

@media (max-width: 768px) {
    .scroller {
        flex-direction: column; /* Change to a column layout on smaller screens */
        align-items: center; /* Center items on smaller screens */
    }

    .scroller__inner {
        flex-wrap: wrap; /* Allow items to wrap on smaller screens */
        gap: 1rem; /* Reduce the gap between items on smaller screens */
    }
}

/* Rest of your CSS */

.scroller[data-animated="true"] {
    overflow: hidden;
}

.scroller[data-animated="true"] .scroller__inner {
    width: max-content;
    flex-wrap: nowrap;
    animation: scroll var(--_animation-duration, 40s) var(--_animation-direction, forwards) linear infinite;
}

.scroller[data-direction="right"] {
    --_animation-direction: reverse;
}

.scroller[data-direction="left"] {
    --_animation-direction: forwards;
}

.scroller[data-speed="fast"] {
    --_animation-duration: 30s;
}

.scroller[data-speed="slow"] {
    --_animation-duration: 60s;
}

@keyframes scroll {
    to {
        transform: translate(calc(-50% - 0.5rem));
    }
}

/* General styles */

:root {
    --clr-neutral-100: hsl(0, 0%, 100%);
    --clr-primary-100: hsl(205, 15%, 58%);
    --clr-primary-400: hsl(215, 25%, 27%);
    --clr-primary-800: hsl(217, 33%, 17%);
    --clr-primary-900: hsl(218, 33%, 9%);
}

.tag-list {
    margin: 0;
    padding-inline: 0;
    list-style: none;
}

.tag-list li {
    padding: 1rem 2rem 1rem 2rem;
    font-family: Bogimber;
    color: white;
    cursor: default;
}

.test {
    background: red !important;
}

@media only screen and (min-width:677px){
    .scroller2 {
        display: none;
    }
}

@media only screen and (max-width:391px){

    .second > .img-wrapper img {
        width: 100vw !important;
        height: auto !important;
    }

    .knowmore {
        width: 100vw !important;
    }

    .knowmore > .text {
        width: 70% !important;
    }
}